org.eclipse.wst.jsdt.ui.dialogs

## Interface ITypeInfoImageProvider

    public interface ITypeInfoImageProvider

A special image descriptor provider for `ITypeInfoRequestor`.

The interface should be implemented by clients wishing to provide special images inside the type selection dialog.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`ImageDescriptor` `getImageDescriptor(ITypeInfoRequestor typeInfoRequestor)` Returns the image descriptor for the type represented by the given `ITypeInfoRequestor`.

### Method Detail

#### getImageDescriptor

    ImageDescriptor getImageDescriptor(ITypeInfoRequestor typeInfoRequestor)

Returns the image descriptor for the type represented by the given `ITypeInfoRequestor`.

Note, that this method may be called from non UI threads.

Parameters:
  `typeInfoRequestor` - the `ITypeInfoRequestor` to access information for the type under inspection
Returns:
  the image descriptor or `null` to use the default image